<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>PersonController</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PersonController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PersonController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">controller</a></div>
<h2 title="Class PersonController" class="title">Class PersonController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Controller.html" title="class in controller">controller.Controller</a></li>
<li>
<ul class="inheritance">
<li>controller.PersonController</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">PersonController</span>
extends <a href="Controller.html" title="class in controller">Controller</a></pre>
<div class="block">Controller actions for an person ticket</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ADD">ACTION_ADD</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_AGE">ACTION_AGE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_DEL">ACTION_DEL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_HEIGHT">ACTION_HEIGHT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_VIP">ACTION_VIP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_ADD">MENU_TEXT_ADD</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_AGE">MENU_TEXT_AGE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_CAPTION">MENU_TEXT_CAPTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_DEL">MENU_TEXT_DEL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_HEIGHT">MENU_TEXT_HEIGHT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_VIP">MENU_TEXT_VIP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../ticket/Person.html" title="class in ticket">Person</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#person">person</a></span></code></th>
<td class="colLast">
<div class="block">Person on whom changes are made</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_NEW_AGE">TEXT_NEW_AGE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_NEW_HEIGHT">TEXT_NEW_HEIGHT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SELECT_DISCOUNT">TEXT_SELECT_DISCOUNT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TXT_SUPPLEMENT_VIP">TXT_SUPPLEMENT_VIP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(ticket.Person)">PersonController</a></span>&#8203;(<a href="../ticket/Person.html" title="class in ticket">Person</a>&nbsp;person)</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionAddDiscount()">actionAddDiscount</a></span>()</code></th>
<td class="colLast">
<div class="block">Add a new discount to the person</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionModifyAge()">actionModifyAge</a></span>()</code></th>
<td class="colLast">
<div class="block">Modify the age (and type) of a person</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionModifyHeight()">actionModifyHeight</a></span>()</code></th>
<td class="colLast">
<div class="block">Modify the height of a person</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionModifySupplement()">actionModifySupplement</a></span>()</code></th>
<td class="colLast">
<div class="block">Change VIP supplement status</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRemoveDiscount()">actionRemoveDiscount</a></span>()</code></th>
<td class="colLast">
<div class="block">Remove a discount from a person</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code><a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOptionCaption(tools.MenuItem)">getOptionCaption</a></span>&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Returns an optional caption for an item menu</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.controller.Controller">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;controller.<a href="Controller.html" title="class in controller">Controller</a></h3>
<code><a href="Controller.html#execMenu()">execMenu</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="ACTION_ADD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ADD</h4>
<pre>private static final&nbsp;int ACTION_ADD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.ACTION_ADD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_AGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_AGE</h4>
<pre>private static final&nbsp;int ACTION_AGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.ACTION_AGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_DEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DEL</h4>
<pre>private static final&nbsp;int ACTION_DEL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.ACTION_DEL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_HEIGHT</h4>
<pre>private static final&nbsp;int ACTION_HEIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.ACTION_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_VIP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_VIP</h4>
<pre>private static final&nbsp;int ACTION_VIP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.ACTION_VIP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_CAPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_CAPTION</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_CAPTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.MENU_TEXT_CAPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_ADD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_ADD</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_ADD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.MENU_TEXT_ADD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_AGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_AGE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_AGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.MENU_TEXT_AGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_DEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_DEL</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_DEL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.MENU_TEXT_DEL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_HEIGHT</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_HEIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.MENU_TEXT_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_VIP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_VIP</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_VIP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.MENU_TEXT_VIP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_NEW_AGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_NEW_AGE</h4>
<pre>private static final&nbsp;java.lang.String TEXT_NEW_AGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.TEXT_NEW_AGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_NEW_HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_NEW_HEIGHT</h4>
<pre>private static final&nbsp;java.lang.String TEXT_NEW_HEIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.TEXT_NEW_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_SELECT_DISCOUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_SELECT_DISCOUNT</h4>
<pre>private static final&nbsp;java.lang.String TEXT_SELECT_DISCOUNT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.TEXT_SELECT_DISCOUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TXT_SUPPLEMENT_VIP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TXT_SUPPLEMENT_VIP</h4>
<pre>private static final&nbsp;java.lang.String TXT_SUPPLEMENT_VIP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.PersonController.TXT_SUPPLEMENT_VIP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="person">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>person</h4>
<pre>private final&nbsp;<a href="../ticket/Person.html" title="class in ticket">Person</a> person</pre>
<div class="block">Person on whom changes are made</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(ticket.Person)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PersonController</h4>
<pre>public&nbsp;PersonController&#8203;(<a href="../ticket/Person.html" title="class in ticket">Person</a>&nbsp;person)</pre>
<div class="block">Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>person</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="actionAddDiscount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionAddDiscount</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionAddDiscount()</pre>
<div class="block">Add a new discount to the person</div>
</li>
</ul>
<a id="actionModifyAge()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionModifyAge</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionModifyAge()</pre>
<div class="block">Modify the age (and type) of a person</div>
</li>
</ul>
<a id="actionModifyHeight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionModifyHeight</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionModifyHeight()</pre>
<div class="block">Modify the height of a person</div>
</li>
</ul>
<a id="actionModifySupplement()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionModifySupplement</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionModifySupplement()</pre>
<div class="block">Change VIP supplement status</div>
</li>
</ul>
<a id="actionRemoveDiscount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRemoveDiscount</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRemoveDiscount()</pre>
<div class="block">Remove a discount from a person</div>
</li>
</ul>
<a id="execOption(tools.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execOption</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;execOption&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</pre>
<div class="block">Execute the menu option indicated.
 Menu continue until exit option execute or false return</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#execOption(tools.MenuItem)">execOption</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menuItem</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="getOptionCaption(tools.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOptionCaption</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getOptionCaption&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="Controller.html#getOptionCaption(tools.MenuItem)">Controller</a></code></span></div>
<div class="block">Returns an optional caption for an item menu</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Controller.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getMenu()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMenu</h4>
<pre class="methodSignature">public&nbsp;<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;getMenu()</pre>
<div class="block">Gets the list of options for the preparation of the menu.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#getMenu()">getMenu</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>MenuItem[]</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PersonController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
